class FacePart {

  int myDamage = 0;
  String name;
  PImage status1, status2, status3;
  PImage reaction;

  boolean isHit = false;
  int locationX, locationY;
  int areaSize = 100;

  FacePart(String _name, int _locationX, int _locationY, int _areaSize) {

    name = _name;
    locationX = _locationX;
    locationY = _locationY;
    areaSize = _areaSize;
    println("-- Initializing " + name);
  } 

  public int damage() {
    return myDamage;
  }

  void show(int imgLevel) {
    println("-- Showing image " + name );
    println("-- at level: "+imgLevel);
    //fill(250, 100, 100);
    fill(map(imgLevel, 0, 16, 255, 10));
    //stroke(0);
    ellipse(locationX, locationY, areaSize, areaSize);
  }

  void listenForHit(float handX, float handY) {
    println("-- Listening for a hit on " + name);

    float disX = locationX - handX;
    float disY = locationX - handY;
//    println(mouseX + " " + mouseY);
//    println(disY +" "+ disX);
    if (sqrt(sq(disX) + sq(disY)) < areaSize/2 ) {
      isHit = true;
    } 
    else if (sqrt(sq(disX) + sq(disY)) > areaSize/2 && isHit == true) {
      myDamage++;
      println("NICE SHOT!Damage: "+ myDamage );
      isHit = false;
    }
  }

//  private void updatePhoto() {
//  }
}

